Skip to main content
POST
/
v1
/
admin
/
quotes
/
quotes
/
{id}
/
versions
Create quote version
curl --request POST \
  --url https://{operatorDomain}/v1/admin/quotes/quotes/{id}/versions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "<string>",
  "currency": "EUR",
  "notes": "<string>"
}
'
{
  "id": "qver_01h...",
  "quoteId": "<string>",
  "version": 123,
  "status": "draft",
  "currency": "EUR",
  "totalAmount": 123,
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

id
string
required

Body

application/json
status
string
currency
string
Example:

"EUR"

notes
string | null

Response

201 - application/json

Created quote version

id
string
required
Example:

"qver_01h..."

quoteId
string
required
version
integer
status
string
Example:

"draft"

currency
string
Example:

"EUR"

totalAmount
integer

Minor units

createdAt
string<date-time>